summaryrefslogtreecommitdiff
path: root/post-install.d/50vcs-commit
diff options
context:
space:
mode:
Diffstat (limited to 'post-install.d/50vcs-commit')
-rwxr-xr-xpost-install.d/50vcs-commit11
1 files changed, 11 insertions, 0 deletions
diff --git a/post-install.d/50vcs-commit b/post-install.d/50vcs-commit
new file mode 100755
index 0000000..52c6c10
--- /dev/null
+++ b/post-install.d/50vcs-commit
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+message="committing changes after $HIGHLEVEL_PACKAGE_MANAGER run"
+
+if [ "$VCS" = git ] && [ -d .git ]; then
+ # ignore exit code since it exits nonzero if there is nothing to do
+ git commit $GIT_COMMIT_OPTIONS -m "$message" || true
+elif [ "$VCS" = hg ] && [ -d .hg ]; then
+ hg commit $HG_COMMIT_OPTIONS -m "$message" || true
+fi